import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name="pingpongthread",
    version="1.0.0",
    author="3xhaust",
    author_email="s2424@e-mirim.hs.kr",
    description="sw동행 핑퐁",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/3x-haust/Python_SW",
    keywords=['3xhaust', 'python api', 'pingpon'],
    license_file='MIT',
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.9',
    install_requires=[
        "absl-py==1.4.0",
        "anyio==3.7.1",
        "argon2-cffi==21.3.0",
        "argon2-cffi-bindings==21.2.0",
        "arrow==1.2.3",
        "asttokens==2.2.1",
        "astunparse==1.6.3",
        "attrs==23.1.0",
        "backcall==0.2.0",
        "beautifulsoup4==4.12.2",
        "bleach==6.0.0",
        "cachetools==5.3.1",
        "certifi==2023.5.7",
        "cffi==1.15.1",
        "charset-normalizer==3.2.0",
        "click==8.1.4",
        "colorama==0.4.6",
        "comm==0.1.3",
        "contourpy==1.1.0",
        "cycler==0.11.0",
        "debugpy==1.6.7",
        "decorator==5.1.1",
        "defusedxml==0.7.1",
        "exceptiongroup==1.1.2",
        "executing==1.2.0",
        "fastjsonschema==2.17.1",
        "flatbuffers==23.5.26",
        "fonttools==4.40.0",
        "fqdn==1.5.1",
        "gast==0.4.0",
        "google-auth==2.21.0",
        "google-auth-oauthlib==1.0.0",
        "google-pasta==0.2.0",
        "grpcio==1.56.0",
        "gtts==2.3.2",
        "h5py==3.9.0",
        "idna==3.4",
        "ipykernel==6.24.0",
        "ipython==8.14.0",
        "ipython-genutils==0.2.0",
        "isoduration==20.11.0",
        "jedi==0.18.2",
        "jinja2==3.1.2",
        "jsonpointer==2.4",
        "jsonschema==4.18.0",
        "jsonschema-specifications==2023.6.1",
        "jupyter-client==8.3.0",
        "jupyter-core==5.3.1",
        "jupyter-events==0.6.3",
        "jupyter-server==2.7.0",
        "jupyter-server-terminals==0.4.4",
        "jupyterlab-pygments==0.2.2",
        "keras==2.13.1",
        "keyboard==0.13.5",
        "kiwisolver==1.4.4",
        "libclang==16.0.0",
        "markdown==3.4.3",
        "markupsafe==2.1.3",
        "matplotlib==3.7.2",
        "matplotlib-inline==0.1.6",
        "mistune==3.0.1",
        "nbclassic==1.0.0",
        "nbclient==0.8.0",
        "nbconvert==7.6.0",
        "nbformat==5.9.0",
        "nest-asyncio==1.5.6",
        "notebook==6.5.4",
        "notebook-shim==0.2.3",
        "numpy==1.24.3",
        "oauthlib==3.2.2",
        "opencv-python==4.8.0.74",
        "opt-einsum==3.3.0",
        "overrides==7.3.1",
        "packaging==23.1",
        "pandocfilters==1.5.0",
        "parso==0.8.3",
        "pickleshare==0.7.5",
        "pillow==10.0.0",
        "platformdirs==3.8.1",
        "playsound==1.3.0",
        "prometheus-client==0.17.0",
        "prompt-toolkit==3.0.39",
        "protobuf==4.23.4",
        "psutil==5.9.5",
        "pure-eval==0.2.2",
        "pyasn1==0.5.0",
        "pyasn1-modules==0.3.0",
        "pyaudio==0.2.13",
        "pycparser==2.21",
        "pygments==2.15.1",
        "pyparsing==3.0.9",
        "pyserial==3.5",
        "python-dateutil==2.8.2",
        "python-json-logger==2.0.7",
        "pywin32==306",
        "pywinpty==2.0.10",
        "pyyaml==6.0",
        "pyzmq==25.1.0",
        "referencing==0.29.1",
        "requests==2.31.0",
        "requests-oauthlib==1.3.1",
        "rfc3339-validator==0.1.4",
        "rfc3986-validator==0.1.1",
        "rpds-py==0.8.10",
        "rsa==4.9",
        "send2trash==1.8.2",
        "six==1.16.0",
        "sniffio==1.3.0",
        "soupsieve==2.4.1",
        "speechrecognition==3.10.0",
        "stack-data==0.6.2",
        "tensorboard==2.13.0",
        "tensorboard-data-server==0.7.1",
        "tensorflow==2.13.0",
        "tensorflow-estimator==2.13.0",
        "tensorflow-intel==2.13.0",
        "tensorflow-io-gcs-filesystem==0.31.0",
        "termcolor==2.3.0",
        "terminado==0.17.1",
        "tinycss2==1.2.1",
        "tornado==6.3.2",
        "traitlets==5.9.0",
        "typing-extensions==4.5.0",
        "uri-template==1.3.0",
        "urllib3==1.26.16",
        "wcwidth==0.2.6",
        "webcolors==1.13",
        "webencodings==0.5.1",
        "websocket-client==1.6.1",
        "werkzeug==2.3.6",
        "wrapt==1.15.0"
    ]
)
